#ifndef TCORDFERMAPBRANCH_HH_
#define TCORDFERMAPBRANCH_HH_

#include <iostream>
#include <vector>

#include <TSystem.h>

using namespace std;

class TCordferMapBranch
{
  private:
    TString name;

  public:
    TCordferMapBranch(){}
    TCordferMapBranch(TString bname, Int_t bsize){
      name = bname;
      size = bsize;
    }
    ~TCordferMapBranch(){}

    bool adc;
    Int_t size; //use
    Int_t *bra_val; //use
    vector<Int_t> segment_id; //use
    vector<Int_t> channel; //use

    TString GetBranchName(){ return name; }

    void MemorySet(){ bra_val = new Int_t[size]; }
    void FreeMemory(){ delete[] bra_val; }
    void CopyMapInfo(vector<Int_t> seg, vector<Int_t> ch);
};

#endif
